import request from '@/config/axios'

export interface PowerConsumeVO {

}

export interface PowerConsumePageReqVO extends PageParam {

}

// 查询PowerConsume列表
export const getPowerConsumePage = (params: PowerConsumePageReqVO) => {
  return request.get({ url: '/xmcpms/powerConsume/page', params })
}

// 查询PowerConsume列表
export const getPointList = (params: PowerConsumePageReqVO) => {
  return request.get({ url: '/xmcpms/powerConsume/list', params })
}

// 查询PowerConsume详情
export const getPowerConsume = (id: number) => {
  return request.get({ url: `/xmcpms/prod/powerConsume/info/${id}`})
}

// 新增PowerConsume
export const createPowerConsume = (data: PowerConsumeVO) => {
  return request.post({ url: '/xmcpms/powerConsume/create', data })
}

// 修改PowerConsume
export const updatePowerConsume = (data: PowerConsumeVO) => {
  return request.put({ url: '/xmcpms/powerConsume/update', data })
}

// 删除PowerConsume
export const deletePowerConsume = (id: number) => {
  return request.delete({ url: '/xmcpms/powerConsume/delete?id=' + id })
}

//导出PowerConsumeList
export const exportPowerConsume = (params) => {
  return request.download({ url: '/xmcpms/powerConsume/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/powerConsume/get-import-template' })
}
